# hasNextPage | xrpl
Documentation for xrpl

# Function hasNextPage

- hasNextPage(response: Response ): boolean

- Returns true if there are more pages of data.

  When there are more results than contained in the response, the response includes a `marker` field.

  See https://ripple.com/build/rippled-apis/#markers-and-pagination.

  ### Returns

  Whether the response has more pages of data.

  #### Parameters

  - ##### response: Response

    Response to check for more pages on.

  #### Returns boolean

  - Defined in packages/xrpl/src/utils/index.ts:153

Generated using TypeDoc